package de.yannicpunktdee.yoshibot.command.commands;

import de.yannicpunktdee.yoshibot.command.YoshiCommand;
import de.yannicpunktdee.yoshibot.command.YoshiCommandContext;
import de.yannicpunktdee.yoshibot.main.YoshiBot;

public class StopCommand extends YoshiCommand {
	
	protected final String[] requiredArguments = {"please", "uwu"};
	

	public StopCommand(YoshiCommandContext context) {
		super(context);
	}
	
	@Override
	public boolean execute() {
		if(!super.execute()) return false;
		YoshiBot.getInstance().stop();
		return true;
	}

}
